## GimpColorDisplayStack

GimpColorDisplayStack

## Functions

GimpColorDisplayStack * | gimp_color_display_stack_new ()
GimpColorDisplayStack * | gimp_color_display_stack_clone ()
void | gimp_color_display_stack_changed ()
void | gimp_color_display_stack_add ()
void | gimp_color_display_stack_remove ()
void | gimp_color_display_stack_reorder_up ()
void | gimp_color_display_stack_reorder_down ()
void | gimp_color_display_stack_convert ()
void | gimp_color_display_stack_convert_surface ()

## Signals

void | added | Run First
void | changed | Run First
void | removed | Run First
void | reordered | Run First

## Types and Values

| GimpColorDisplayStack

## Object Hierarchy

        GObject
        ╰── GimpColorDisplayStack

## Description

## Functions

### gimp_color_display_stack_new ()

    GimpColorDisplayStack *
    gimp_color_display_stack_new (void);

### gimp_color_display_stack_clone ()

    GimpColorDisplayStack *
    gimp_color_display_stack_clone (GimpColorDisplayStack *stack);

### gimp_color_display_stack_changed ()

    void
    gimp_color_display_stack_changed (GimpColorDisplayStack *stack);

### gimp_color_display_stack_add ()

    void
    gimp_color_display_stack_add (GimpColorDisplayStack *stack,
                                  GimpColorDisplay *display);

### gimp_color_display_stack_remove ()

    void
    gimp_color_display_stack_remove (GimpColorDisplayStack *stack,
                                     GimpColorDisplay *display);

### gimp_color_display_stack_reorder_up ()

    void
    gimp_color_display_stack_reorder_up (GimpColorDisplayStack *stack,
                                         GimpColorDisplay *display);

### gimp_color_display_stack_reorder_down ()

    void
    gimp_color_display_stack_reorder_down (GimpColorDisplayStack *stack,
                                           GimpColorDisplay *display);

### gimp_color_display_stack_convert ()

    void
    gimp_color_display_stack_convert (GimpColorDisplayStack *stack,
                                      guchar *buf,
                                      gint width,
                                      gint height,
                                      gint bpp,
                                      gint bpl);

`gimp_color_display_stack_convert` is deprecated and should not be used in newly-written code.

GIMP 2.8: Use `gimp_color_display_stack_convert_surface()` instead.

### gimp_color_display_stack_convert_surface ()

    void
    gimp_color_display_stack_convert_surface
                                   (GimpColorDisplayStack *stack,
                                    cairo_surface_t *surface);

Since: GIMP 2.8

## Types and Values

### GimpColorDisplayStack

    typedef struct _GimpColorDisplayStack GimpColorDisplayStack;

## Signal Details

### The `“added”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   GimpColorDisplay      *arg1,
                   gint                   arg2,
                   gpointer               user_data)

Flags: Run First

### The `“changed”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   gpointer               user_data)

Flags: Run First

### The `“removed”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   GimpColorDisplay      *arg1,
                   gpointer               user_data)

Flags: Run First

### The `“reordered”` signal

    void
    user_function (GimpColorDisplayStack *gimpcolordisplaystack,
                   GimpColorDisplay      *arg1,
                   gint                   arg2,
                   gpointer               user_data)

Flags: Run First